package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.RiskReport;
import com.ruoyi.system.mapper.RiskReportMapper;
import com.ruoyi.system.service.IRiskReportService;

/**
 * 报告管理服务实现
 */
@Service
public class RiskReportServiceImpl implements IRiskReportService
{
    @Autowired
    private RiskReportMapper riskReportMapper;

    @Override
    public RiskReport selectRiskReportById(Long reportId)
    {
        return riskReportMapper.selectRiskReportById(reportId);
    }

    @Override
    public List<RiskReport> selectRiskReportList(RiskReport riskReport)
    {
        return riskReportMapper.selectRiskReportList(riskReport);
    }

    @Override
    public int insertRiskReport(RiskReport riskReport)
    {
        return riskReportMapper.insertRiskReport(riskReport);
    }

    @Override
    public int updateRiskReport(RiskReport riskReport)
    {
        return riskReportMapper.updateRiskReport(riskReport);
    }

    @Override
    public int deleteRiskReportByIds(String ids)
    {
        return riskReportMapper.deleteRiskReportByIds(Convert.toStrArray(ids));
    }
}
